> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/installing/docker/install-the-akamas-server/online-installation-mode.md).

# Online installation mode

Akamas Studio is deployed as a set of containerized services running on Docker and managed via Docker Compose. In the online installation mode, the latest version of the Akamas Docker Compose file and all the images required by Docker can be downloaded from the AWS ECR repository.

In case the Akamas Studio Server is behind a proxy server please also read how to [setup Akamas Studio behind a Proxy](/akamas-docs/installing/docker/install-the-akamas-server/online-installation-mode/online-installation-behind-a-proxy-server.md).

## Get Akamas Studio Docker artifacts <a href="#installation-getdockerartifacts" id="installation-getdockerartifacts"></a>

It is suggested first to create a directory `akamas` in the home directory of your user, and then run the following command to get the latest compose file:

{% code overflow="wrap" %}

```bash
cd ~
mkdir akamas
cd akamas
curl -O https://s3.us-east-2.amazonaws.com/akamas/compose/4.1.0/docker-compose.yml
```

{% endcode %}

## Configure Akamas Studio environment variables <a href="#installation-configureenvironmentvariables" id="installation-configureenvironmentvariables"></a>

To log into AWS ECR and pull the most recent Akamas Studio container images, you need to set the AWS authentication variables to the appropriate values provided by Akamas Customer Support Services by running the following command. To configure Akamas Studio, you should set the following environment variables:

To configure Akamas Studio, you should set the following environment variables:

* `AKAMAS_CUSTOMER`: the customer name matching the one referenced in the Akamas Studio license.
* `AWS_ACCESS_KEY_ID`: the access key for pulling the Akamas Studio images
* `AWS_SECRET_ACCESS_KEY`: the secret access key for pulling the Akamas Studio images
* `AWS_DEFAULT_REGION`: Unless specified by the support team keep the value to `us-east-2`
* `AKAMAS_BASE_URL`: the endpoint in the Akamas Studio APIs that will be used to interact with the CLI, typically `https://<akamas server DNS address>`

To avoid losing your environment variables for future upgrades, it is suggested to keep them in the `.env` file. Launch the following command from the same folder where the `docker-compose.yml` is stored, replacing the parameters in the brackets `<>`:

```bash
# Required variables
AKAMAS_CUSTOMER=<your name or your organization name>
AWS_ACCESS_KEY_ID=<your access key id>
AWS_SECRET_ACCESS_KEY=<your secret access key>
AKAMAS_BASE_URL=https://<akamas server DNS address>
AWS_DEFAULT_REGION=us-east-2

# Optional variables
# Database passwords
DEFAULT_DATABASE_PASSWORD=
KEYCLOAK_DATABASE_PASSWORD=${DEFAULT_DATABASE_PASSWORD:-akamas_keycloak}
ANALYZER_DATABASE_PASSWORD=${DEFAULT_DATABASE_PASSWORD:-akamas_analyzer}
CAMPAIGN_DATABASE_PASSWORD=${DEFAULT_DATABASE_PASSWORD:-akamas_campaign}
LICENSE_DATABASE_PASSWORD=${DEFAULT_DATABASE_PASSWORD:-akamas_license}
OPTIMIZER_DATABASE_PASSWORD=${DEFAULT_DATABASE_PASSWORD:-akamas_optimizer}
ORCHESTRATOR_DATABASE_PASSWORD=${DEFAULT_DATABASE_PASSWORD:-akamas_orchestrator}
SYSTEM_DATABASE_PASSWORD=${DEFAULT_DATABASE_PASSWORD:-akamas_system}
TELEMETRY_DATABASE_PASSWORD=${DEFAULT_DATABASE_PASSWORD:-akamas_telemetry}
# Docker volumes prefix
COMPOSE_PROJECT_NAME=${COMPOSE_PROJECT_NAME:-akamas}
```

In this file you can also add a custom configuration for API rate limiting if needed. In case, follow instructions on page [Changing default API rate limits](/akamas-docs/installing/docker/install-the-akamas-server/changing-default-api-rate-limits.md) before starting Akamas Studio

## Start Akamas Studio

To log into AWS ECR and pull the most recent Akamas Studio container images you also need to set the AWS authentication variables (`AWS_ACCESS_KEY_ID`, `AWS_SECRET_ACCESS_KEY`, `AWS_DEFAULT_REGION`) with the values provided by Akamas Customer Support Services. You can leverage the `.env` file previously created with the following command:

```bash
source ./.env
aws ecr get-login-password --region us-east-2 | docker login -u AWS --password-stdin https://485790562880.dkr.ecr.us-east-2.amazonaws.com
```

You can start installing the Akamas Studio server by running the following AWS CLI commands:

```bash
docker compose up -d
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/installing/docker/install-the-akamas-server/online-installation-mode.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
